
Foreman - Bug #35805

"snippet" keyword causes error in search bar

11/30/2022 08:44 AM - Ottavia Balducci

Status: New   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 3.8.0

Triaged: Yes Found in Releases: 3.1.3, 3.3.2, 3.5.0, 3.5.1, 3.5.2, 3.5.3,

3.5.4

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Steps to Reproduce:

1. In GUI -> Hosts -> provisioning templates

2. Just type snippet in the search bar

Actual results:

Red error message:

Oops, we're sorry but something went wrong wrong number of bind variables (0 for 1) in: (["(\"templates\".\"snippet\" <> ?)", false])

Expected results:

Expect to be shown all provisioning templates whose name matches snippet .

History

#1 - 11/30/2022 01:02 PM - Ewoud Kohl van Wijngaarden

- Category set to Templates

Could you select the version(s) you found this in?

Additionally, if you have a backtrace in /var/log/foreman/production.log it'd make this easier to resolve.

#2 - 11/30/2022 02:02 PM - Ottavia Balducci

- Found in Releases 3.1.3 added

#3 - 11/30/2022 02:37 PM - Ottavia Balducci

- File backtrace.txt added

Sure. Here is the relevant part of /var/log/foreman/production.log as an attachment.

#4 - 12/01/2022 01:07 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

- Found in Releases 3.3.1 added

I can confirm this also happens in 3.3.1.

#5 - 09/25/2023 07:00 AM - Maximilian Kolb

- Found in Releases 3.5.4 added

- Found in Releases deleted (3.1.3, 3.3.1)

#6 - 09/25/2023 07:01 AM - Maximilian Kolb

- Found in Releases 3.1.3, 3.3.2, 3.5.0, 3.5.1, 3.5.2, 3.5.3 added
#7 - 09/25/2023 07:02 AM - Maximilian Kolb

- Fixed in Releases 3.8.0 added

Files

backtrace.txt 16.4 KB 11/30/2022 Ottavia Balducci
